Subject: [alpine-devel] [PATCH 3/3] testing/quicktun: new aport

From: Johannes Matheis <[email-masked]>
Date: Sat, 30 Aug 2014 17:09:34 +0000

http://wiki.ucis.nl/QuickTun
Simple and secure VPN software using NaCl encryption
---
 testing/quicktun/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/quicktun/APKBUILD

diff --git a/testing/quicktun/APKBUILD b/testing/quicktun/APKBUILD
new file mode 100644
index 0000000..202f191
--- /dev/null
+++ b/testing/quicktun/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: Johannes Matheis <[email-masked]>
+# Maintainer: Johannes Matheis <[email-masked]>
+pkgname=quicktun
+pkgver=2.2.4
+pkgrel=0
+pkgdesc="Simple and secure VPN software using NaCl encryption"
+url="http://wiki.ucis.nl/QuickTun"
+arch="all"
+license="custom"
+depends="libsodium"
+depends_dev="tar libsodium-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-keypair"
+source="http://oss.ucis.nl/${pkgname}/src/${pkgname}-${pkgver}.tgz"
+
+_builddir="$srcdir/${pkgname}-${pkgver}"
+prepare() {
+   local i
+   cd "$_builddir"
+   for i in $source; do
+       case $i in
+       *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+       esac
+   done
+}
+
+build() {
+   cd "$_builddir"
+   ./build.sh
+}
+
+package() {
+   cd "$_builddir"
+   install -D out/quicktun.combined "${pkgdir}/usr/bin/quicktun.combined"
+   ln -s quicktun.combined "${pkgdir}/usr/bin/quicktun"
+}
+keypair() {
+   pkgdesc="Tool to create a quicktun public/private keypair"
+   cd "$_builddir"
+   install -D out/quicktun.keypair "${subpkgdir}/usr/bin/quicktun.keypair"
+}
+
+md5sums="5e27c9b1ccae0c6d6e4b30ca476f910d  quicktun-2.2.4.tgz"
+sha256sums="652383d30f4a1ac2d42500e676f4c8590efaeea21a1e40a3ad1c332aa2ba3a0c  quicktun-2.2.4.tgz"
+sha512sums="da60fc39d8e85d5b2c162633840b887be3fd58d9f2b3a99fe605fa13546e4f53878ce6246d835b7931e42193fb044330c539b29751cdb6f54d025efc52041487  quicktun-2.2.4.tgz"
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Mon, 1 Sep 2014 10:39:28 +0200

On Sat, 30 Aug 2014 17:09:34 +0000

> +++ b/testing/quicktun/APKBUILD

Looks like the license is BSD?

> +depends="libsodium"

We should not add shared libs as depends as abuild handles that
automatically for us. We only need to add the -dev package to
makedepends (as you do below).

> +source="http://oss.ucis.nl/${pkgname}/src/${pkgname}-${pkgver}.tgz"

Could you please confirm that the license is BSD?

Thanks!

-nc

---

---

From: Johannes Matheis <[email-masked]>
Date: Mon, 01 Sep 2014 09:33:25 +0000

> makedepends (as you do below).

Thanks for the hint!

> Could you please confirm that the license is BSD?

That's right. I found the 2-clause BSD license in some sourcecode files.

-- 
Johannes Matheis

---

From: Natanael Copa <[email-masked]>
Date: Mon, 1 Sep 2014 11:47:14 +0200

On Mon, 01 Sep 2014 09:33:25 +0000

> That's right. I found the 2-clause BSD license in some sourcecode files.

Applied. Thanks!

-nc

---